import { cx } from '@emotion/css';
import React__default from 'react';
import { Dropdown } from '../Dropdown/Dropdown.js';
import { ToolbarButton } from '../ToolbarButton/ToolbarButton.js';
import '../ToolbarButton/ToolbarButtonRow.js';

function PanelMenu({
  menu,
  title,
  placement = "bottom",
  offset,
  dragClassCancel,
  menuButtonClass,
  onVisibleChange
}) {
  return /* @__PURE__ */ React__default.createElement(Dropdown, { overlay: menu, placement, offset, onVisibleChange }, /* @__PURE__ */ React__default.createElement(
    ToolbarButton,
    {
      "aria-label": `Menu for panel with ${title ? `title ${title}` : "no title"}`,
      title: "Menu",
      icon: "ellipsis-v",
      iconSize: "md",
      narrow: true,
      "data-testid": "panel-menu-button",
      className: cx(menuButtonClass, dragClassCancel)
    }
  ));
}

export { PanelMenu };
//# sourceMappingURL=PanelMenu.js.map
